#!/bin/sh
# checker for crontab
# crontab line example :
# 0,20,40 * * * *   /home/mydirs/check.sh >/dev/null 2>&1
# removing the ">/dev/null 2>&1" will cause sending you mail with info

fpath="./"
fbinaryname="foobnc"
pidfile="my.pid"
# logfile... or use /dev/null for no log
logfile="foobnc.log"
#config="-a my.conf"
config="my.conf"

if [ ! -d $fpath ]; then
 echo "Directory $fpath does not exist..."
 exit 1
fi

if [ ! -f $fpath/$fbinaryname ]; then
 echo "File $fpath/$fbinaryname does not exist..."
 exit 1
fi

if [ -f $fpath/$pidfile ]; then
 PID=`cat $fpath/$pidfile`
 if `kill -CHLD $PID >/dev/null 2>&1`; then
  exit 0
 fi
 echo "Pidfile was found but program wasnt running, restarting..."
 rm $fpath/$pidfile   
else 
 echo "Pidfile was not found, starting program ..."
fi

echo "Starting ..."

#OLDPWD=$PWD
$fpath$fbinaryname $fpath$config >>$fpath$logfile

exit 0
